curl --request GET \
--url https://api.plura.ai/v1/calls/get \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.plura.ai/v1/calls/get"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plura.ai/v1/calls/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"call_id": "e739835a-e085-4698-8611-a0bcd218f236",
"phone_to": "17145551234",
"phone_from": "18554170050",
"call_start": "2026-01-06T13:51:38Z",
"call_end": "2026-01-06T13:52:18Z",
"disposition": "Completed",
"answered_by": "human",
"agent": "00a50886-1b8e-4678-a393-129098cc8bc2",
"direction": "out",
"transfer": true
},
{
"call_id": "e739835a-e085-4698-8611-a0bcd218f236:1",
"phone_to": "15555555555",
"phone_from": "17145551234",
"call_start": "2026-01-06T13:52:15.000Z",
"call_end": "2026-01-06T13:52:18.000Z",
"disposition": "CONGESTION",
"agent": "00a50886-1b8e-4678-a393-129098cc8bc2",
"direction": "out",
"is_transfer": true
}
]Get Call Details
Retrieve detailed information about a call using its call_id returned from the Initiate Call endpoint.
Transferred calls return multiple records — the original call and each transfer leg. Transfer legs have their call_id suffixed with :1, :2, etc.
Authorizations
API key from Settings → API Keys in your workspace
Query Parameters
Call UUID returned from the Initiate Call endpoint
Response
Call details retrieved. Returns an array — transferred calls include multiple records.
Unique call identifier. Transfer legs append :1, :2, etc.
Destination phone number
Originating phone number
Call start timestamp (UTC ISO-8601)
Call end timestamp (UTC ISO-8601)
Call outcome
"Completed"
Who answered the call
"human"
Agent UUID that handled the call
Call direction
"out"
Whether the call was transferred
Indicates this record is a transfer leg